# SoSFShort Class Reference
[Field classes]

`#include <Inventor/fields/SoSFShort.h>`

Inheritance diagram for SoSFShort:

List of all members.

## Detailed Description

The SoSFShort class is a container for a short integer value.

This field is used where nodes, engines or other field containers needs to store a single short integer value.

See also:
  SoMFShort

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoSFShort::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

The documentation for this class was generated from the following files:

- SoSFShort.h
- SoSFShort.cpp